GCLOUD_KMS_KEYRINGS_GET-IAM-POLICY(1)

NAME

gcloud kms keyrings get-iam-policy - get the IAM policy for a keyring

SYNOPSIS

gcloud kms keyrings get-iam-policy KEYRING [--location=LOCATION] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Gets the IAM policy for the given keyring. Returns an empty policy if the resource does not have a policy set.

POSITIONAL ARGUMENTS

    KEYRING
        Name of the keyring whose IAM policy to fetch.

FLAGS

    --location=LOCATION
        The location of the requested resource.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
The following command gets the IAM policy for the keyring fellowship within the location us-central1:
    $ gcloud kms keyrings get-iam-policy fellowship \
        --location us-central1